---
services:
  Authentication:
    class: \MiamiOH\RESTng\Service\Authentication\Authentication
    description: Provides authentication services using REST.
    set:
      database:
        type: service
        name: APIDatabaseFactory
      ldapFactory:
        type: service
        name: APILDAPFactory
  Authorization:
    class: \MiamiOH\RESTng\Service\Authorization\Authorization
    description: Provides authorization services using AuthMan.
    set:
      database:
        type: service
        name: APIDatabaseFactory
      dataSourceFactory:
        type: service
        name: APIDataSourceFactory
      ldap:
        type: service
        name: APILDAPFactory
  Encryption:
    class: \MiamiOH\RESTng\Connector\EncryptionSimple
    description: Simple encrypt/decrypt obfuscation
  MU\BannerIdFactory:
    class: \MiamiOH\RESTng\Service\Extension\BannerIdFactory
    description: Provides Banner ID object factory.
    set:
      database:
        type: service
        name: APIDatabaseFactory
  MU\BannerUtil:
    class: \MiamiOH\RESTng\Service\Extension\BannerUtil
    description: Provides utility functions for working with Banner data.
    set:
      bannerIdFactory:
        type: service
        name: MU\BannerIdFactory
